3 Replies Latest reply on Jan 10, 2012 2:53 AM by mi haisheng

    Meissa SAKHO,Meissa SAKHO,Meissa SAKHO help me.

    mi haisheng Newbie
      you said:
      [I've finally managed to make it working. Tke problem was due to the solder version 3.0.0 that is not compatible with the Beta 5 version of seam persistence. Meissa].
      i'm crazing about this trouble.
      can you paste your pom.xml(include versions) here,thanks!!
        • 1. Re: Meissa SAKHO,Meissa SAKHO,Meissa SAKHO help me.
          hantsy bai Master

          updated to 3.1.0.Final now, I think all modules are ready in JBoss maven repository.


          I have upgraded to this version yesterday. All worked well.

          • 2. Re: Meissa SAKHO,Meissa SAKHO,Meissa SAKHO help me.
            mi haisheng Newbie
            thanks everyone:

            i find a topic about [seam-3.1.0.Beta5] in forum,i try to download it to get the version of seam-solder.

            i find there is no [seam-solder] at all,its change to [solder-xxx].its the reson trouble me a long time  !!!!

            so i try this pom.xml:
                <dependency>
                     <groupId>org.jboss.solder</groupId>
                      <artifactId>solder-impl</artifactId>
                      <version>3.1.0.Final</version>
                </dependency>
                   <dependency>
                  <groupId>org.jboss.seam.persistence</groupId>
                  <artifactId>seam-persistence</artifactId>
                  <version>3.1.0.Final</version>  <!--3.1.0.Final -->
                </dependency>
                <dependency>
                  <groupId>org.jboss.seam.transaction</groupId>
                  <artifactId>seam-transaction</artifactId>
                  <version>3.1.0.Final</version>
                </dependency>
            the program nolonger run to error.

            thanks hantsy bai!!!!


            • 3. Re: Meissa SAKHO,Meissa SAKHO,Meissa SAKHO help me.
              mi haisheng Newbie
              ...and ...
              [import org.jboss.seam.solder.core.ExtensionManaged;]
              need to change to:
              [import org.jboss.solder.core.ExtensionManaged;]